# This file created by conda-build 25.1.2
# ------------------------------------------------

package:
  name: libstdcxx
  version: 14.2.0
source:
  - patches:
      - patches/0002-allow-commands-in-main-specfile.patch
      - patches/0003-patch-zoneinfo_dir_override-to-point-to-our-tzdata.patch
      - patches/0004-add-ldl-to-libstdc___la_LDFLAGS.patch
      - patches/0005-Hardcode-HAVE_ALIGNED_ALLOC-1-in-libstdc-v3-configur.patch
      - patches/0006-fix-tzdb-for-newer-format.patch
    sha256: 7d376d445f93126dc545e2c0086d0f647c3094aae081cdb78f42ce2bc25e7293
    url: https://ftp.gnu.org/gnu/gcc/gcc-14.2.0/gcc-14.2.0.tar.gz
build:
  detect_binary_files_with_prefix: false
  missing_dso_whitelist:
    - '*'
  number: 2
  string: h8f9b012_2
requirements:
  host:
    - kernel-headers_linux-64 3.10.0 he581ecd_18
    - libgcc 14.2.0 h767d61c_2
    - sysroot_linux-64 2.17 hb09d241_18
    - tzdata 2025a h78e105d_0
  run:
    - __glibc >=2.17,<3.0.a0
    - libgcc 14.2.0 h767d61c_2
  run_contrained:
    - libstdcxx-ng ==14.2.0=*_2
test:
  commands:
    - test -f ${PREFIX}/lib/libstdc++.so
about:
  home: https://gcc.gnu.org/
  license: GPL-3.0-only WITH GCC-exception-3.1
  summary: The GNU C++ Runtime Library
extra:
  copy_test_source_files: true
  feedstock-name: ctng-compilers-feedstock
  final: true
  flow_run_id: azure_20250222.1.1
  recipe-maintainers:
    - beckermr
    - isuruf
    - timsnyder
    - xhochy
  remote_url: https://github.com/conda-forge/ctng-compilers-feedstock
  sha: 8da70a056deac8170bd5fbdf93af535dc03c302b
